//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWLineAttributePopupCtrl : public VWControl
		{
		public:
							VWLineAttributePopupCtrl(TControlID id);
			virtual			~VWLineAttributePopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);

		// attributes
		public:
			void			GetSelectedAttribute(short& outLineStyle, short& outLineWeight) const;
			void			SetSelectedAttribute(short lineStyle, short lineWeight);

		};
	}
}